Name:           osmium-tool
Version:        1.3.0
Release:        2%{?dist}
Summary:        Command line tool for working with OpenStreetMap data

License:        GPLv3
URL:            http://osmcode.org/osmium/
Source0:        https://github.com/osmcode/%{name}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake pandoc man-db

BuildRequires:  libosmium-devel libosmium-static

%description
Command line tool for working with OpenStreetMap data
based on the Osmium library


%prep
%autosetup -n %{name}-%{version}


%build
mkdir build
cd build
%cmake ..
%make_build


%install
%make_install -C build
mkdir -p %{buildroot}%{_datadir}/zsh/site-functions
install -p -m644 zsh_completion/* %{buildroot}%{_datadir}/zsh/site-functions


%check
cd build
ctest -V


%files
%doc README.md CHANGELOG.md
%license LICENSE.txt
%{_bindir}/osmium
%{_mandir}/man1/osmium*.1.gz
%{_mandir}/man5/osmium*.5.gz
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_osmium


%changelog
* Sun Nov 29 2015 Tom Hughes <tom@compton.nu> - 1.3.0-2
- Own %%{_datadir}/zsh

* Sun Nov 29 2015 Tom Hughes <tom@compton.nu> - 1.3.0-1
- Update to 1.3.0 upstream release

* Sun Sep  6 2015 Tom Hughes <tom@compton.nu> - 1.2.1-1
- Update to 1.2.1 upstream release

* Wed Jul 22 2015 Tom Hughes <tom@compton.nu> - 1.1.1-3
- Requre man-db for tests

* Thu Jul 16 2015 Tom Hughes <tom@compton.nu> - 1.1.1-2
- Use %%cmake

* Sun Jul 12 2015 Tom Hughes <tom@compton.nu> - 1.1.1-1
- Update to 1.1.1 upstream release

* Mon Jun  8 2015 Tom Hughes <tom@compton.nu> - 1.0.1-1
- Initial build
